sc::SCExtrapData(3)

NAME
sc::SCExtrapData - SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation.

SYNOPSIS

#include <scextrap.h>

Inherits sc::SavableState.

Inherited by sc::SymmSCMatrix2SCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrixNSCExtrapData, and sc::SymmSCMatrixSCExtrapData.

  Public Methods
SCExtrapData ()
Construct a new SCExtrapData.
SCExtrapData (StateIn &)
Constructor to restore SCExtrapData from a StateIn object.
virtual ~SCExtrapData ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual SCExtrapData * copy ()=0
Return a copy of this.
virtual void zero ()=0
Set this to zero.
virtual void accumulate_scaled (double scale, const Ref< SCExtrapData > &)=0
The passed SCExtrapData is accumulated into this after applying the scaling factor.

DETAILED DESCRIPTION

SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation.

MEMBER FUNCTION DOCUMENTATION

  void sc::SCExtrapData::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.